var mockPerformance = function(perf) {
  var defaultPerformance = {
    "id":1234,
    "dateTimeStr":"2014-03-01T15:45",
    "dateTime":1393685100000,
    "address":"Béjar, Spain",
    "event":{
      "id":5678,
      "name": "Foo event",
      "uuid": "foo-user/foo-event"
    },
    "zones":[
      {
         "name":"Default",
         "totalTickets":100,
         "price":10,
         "fee":1,
         "soldTickets":0
      }
    ],
    "soldTickets":0,
    "checkedinTickets":0,
    "totalTickets":99,
    "currency":"USD",
    "minPrice":11,
    "geo":{
      "lat":40.416775,
      "lng":-3.7037902
    },
    "timezone":"Europe/Madrid (GMT+1)",
    "feePaidBy":"buyer"
  };
  return $.extend(defaultPerformance, perf);
}

, mockPerformances = function(now) {
  var perfs = []
  , hour = 60 * 60 * 1000
  , day = 24 * hour
  , now = now || (new Date()).valueOf()
  for(var i = 0; i < 100; i++) {
    now += (i % 4 == 0)? day * 3 : hour;
    var date = new Date(now);
    perfs.push(mockPerformance({
      soldTickets: (i % 4) * 33,
      dateTime: date.valueOf(),
      dateTimeStr: date.toISOString().match(/(.+T[0-9]{2}:[0-9]{2})/)[1]
    }))
  }
  return perfs;
};